Subject: Re: bug#16517: Emacs and display resolution change

From: Fabrice Popineau <[email-masked]>
Date: Sat, 25 Jan 2014 14:17:51 +0100

Thanks. It seems harmless for those who don't need it and helps a lot the
others (like me!).

Fabrice

2014-01-25 Eli Zaretskii <[email-masked]>

> > From: Fabrice Popineau <[email-masked]>
> > Date: Wed, 22 Jan 2014 08:32:31 +0100
> >
> > The current Emacs trunk does not seem to honour display resolution change
> > under Windows.
> > There is one case where it is annoying: when the frame is fullsized.
> > I have a laptop. I run `emacs -Q' , then `M-x toggle-frame-fullscreen'.
> > Next I connect an external display with a higher resolution.
> > The frame displays undecorated, but with a size of the previous screen
> > resolution.
> > I need to call `M-x toggle-frame-fullscreen' twice to get back a
> fullsized
> > frame.
> >
> > I think that for handling at least this case, the following patch could
> be
> > applied:
>
> No comments, so I applied your patch.  Thanks.
>